diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveViewPart.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveViewPart.java
index c5fd8e15c..6e180d34b 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveViewPart.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveViewPart.java
@@ -44,7 +44,7 @@ import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.taxeditor.bulkeditor.BulkEditor;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
-import eu.etaxonomy.taxeditor.editor.Messages;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.editor.view.checklist.ChecklistEditor;
 import eu.etaxonomy.taxeditor.editor.view.derivate.DerivateView;
 import eu.etaxonomy.taxeditor.editor.view.media.MediaViewPart;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/CreateDescriptionElementHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/CreateDescriptionElementHandler.java
index 87a8c470a..28a23aac8 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/CreateDescriptionElementHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/CreateDescriptionElementHandler.java
@@ -76,10 +76,10 @@ public class CreateDescriptionElementHandler extends AbstractHandler {
                 operation = operationCreationInstance(event.getCommand().getName(), event, description, postOperationEnabled);
                 AbstractUtility.executeOperation(operation);
             } catch (NotDefinedException e) {
-                MessagingUtils.warn(getClass(), "Command name not set");
+                MessagingUtils.warn(getClass(), "Command name not set"); //$NON-NLS-1$
             }
         } else {
-            MessagingUtils.error(getClass(), new IllegalArgumentException("Could not determine the taxon description"));
+            MessagingUtils.error(getClass(), new IllegalArgumentException("Could not determine the taxon description")); //$NON-NLS-1$
             return null;
         }
         return null;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/CreateDescriptionHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/CreateDescriptionHandler.java
index 46bd2d8e5..fa5ff0f90 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/CreateDescriptionHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/CreateDescriptionHandler.java
@@ -64,7 +64,7 @@ public class CreateDescriptionHandler extends AbstractHandler {
 			    operation = createTaxonOperation(event.getCommand().getName(), taxon, postOperationEnabled);
 				AbstractUtility.executeOperation(operation);
 			} catch (NotDefinedException e) {
-				MessagingUtils.warn(getClass(), "Command name not set.");
+				MessagingUtils.warn(getClass(), "Command name not set."); //$NON-NLS-1$
 			}
 		}
 		// specimen description
@@ -75,7 +75,7 @@ public class CreateDescriptionHandler extends AbstractHandler {
 		            operation = new CreateSpecimenDescriptionOperation(event.getCommand().getName(), EditorUtil.getUndoContext(), (SpecimenOrObservationBase<?>) viewerInput, postOperationEnabled);
 		            AbstractUtility.executeOperation(operation);
 		        } catch (NotDefinedException e) {
-		            MessagingUtils.warn(getClass(), "Command name not set.");
+		            MessagingUtils.warn(getClass(), "Command name not set."); //$NON-NLS-1$
 		        }
 		    }
 		    if(viewerInput instanceof TaxonBase){
@@ -83,7 +83,7 @@ public class CreateDescriptionHandler extends AbstractHandler {
 		    		operation = createTaxonOperation(event.getCommand().getName(), (Taxon) viewerInput, postOperationEnabled);
 		            AbstractUtility.executeOperation(operation);
 		    	 } catch (NotDefinedException e) {
-			            MessagingUtils.warn(getClass(), "Command name not set.");
+			            MessagingUtils.warn(getClass(), "Command name not set."); //$NON-NLS-1$
 			     }
 		        
 		    }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/DeleteHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/DeleteHandler.java
index 0a63b2814..19fc669d1 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/DeleteHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/DeleteHandler.java
@@ -32,6 +32,7 @@ import eu.etaxonomy.cdm.model.description.SpecimenDescription;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.media.Media;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.operation.DeleteDescriptionElementOperation;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.operation.DeleteSpecimenDescriptionOperation;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.operation.DeleteTaxonDescriptionOperation;
@@ -105,7 +106,7 @@ public class DeleteHandler extends AbstractHandler {
                     MediaDeletionConfigurator config = new MediaDeletionConfigurator();
 
                     DeleteConfiguratorDialog dialog;
-                    dialog = new DeleteConfiguratorDialog(config, HandlerUtil.getActiveShell(event), "Confirm Deletion",  null,  "Do you really want to delete the media?", MessageDialog.WARNING, new String[] { "Delete", "Skip" }, 0);
+                    dialog = new DeleteConfiguratorDialog(config, HandlerUtil.getActiveShell(event), Messages.DeleteHandler_CONFIRM_DELETION,  null,  Messages.DeleteHandler_CONFIRM_DELETION_MESSAGE, MessageDialog.WARNING, new String[] { Messages.DeleteHandler_DELETE, Messages.DeleteHandler_SKIP }, 0);
                     int result_dialog= dialog.open();
                     if (result_dialog != Status.OK){
                         return null;
@@ -123,7 +124,7 @@ public class DeleteHandler extends AbstractHandler {
 
 				}
 				else{
-					MessagingUtils.error(getClass(), "Selection is not valid for this delete handler", null);
+					MessagingUtils.error(getClass(), Messages.DeleteHandler_INVALID_SELECTION, null);
 				}
 			}
 
@@ -133,7 +134,7 @@ public class DeleteHandler extends AbstractHandler {
 			}
 
 		} catch (NotDefinedException e) {
-			MessagingUtils.warn(getClass(), "Command name not set.");
+			MessagingUtils.warn(getClass(), "Command name not set."); //$NON-NLS-1$
 		}
 
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/DescriptionsMenuPropertyTester.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/DescriptionsMenuPropertyTester.java
index 3030ef4a3..d47ff9006 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/DescriptionsMenuPropertyTester.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/DescriptionsMenuPropertyTester.java
@@ -25,16 +25,16 @@ import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
  */
 public class DescriptionsMenuPropertyTester extends PropertyTester {
 
-	private static final String MEDIA = "isMedia";
-	private static final String FEATURE_NODE_CONTAINER = "isFeatureNodeContainer";
-	private static final String DESCRIPTION = "isDescription";
-	private static final String INDIVIDUALS_ASSOCIATION = "isIndividualsAssociation";
-	private static final String DESCRIPTION_ELEMENT = "isDescriptionElement";
-	private static final String DELETABLE = "isDeletable";
-	private static final String IMAGE_GALLERY = "isImageGallery";
-	private static final String TAXON_EDITOR = "isTaxonEditor";
-	private static final String BULK_EDITOR = "isBulkEditor";
-	private static final String DERIVATE_EDITOR = "isDerivateEditor";
+	private static final String MEDIA = "isMedia"; //$NON-NLS-1$
+	private static final String FEATURE_NODE_CONTAINER = "isFeatureNodeContainer"; //$NON-NLS-1$
+	private static final String DESCRIPTION = "isDescription"; //$NON-NLS-1$
+	private static final String INDIVIDUALS_ASSOCIATION = "isIndividualsAssociation"; //$NON-NLS-1$
+	private static final String DESCRIPTION_ELEMENT = "isDescriptionElement"; //$NON-NLS-1$
+	private static final String DELETABLE = "isDeletable"; //$NON-NLS-1$
+	private static final String IMAGE_GALLERY = "isImageGallery"; //$NON-NLS-1$
+	private static final String TAXON_EDITOR = "isTaxonEditor"; //$NON-NLS-1$
+	private static final String BULK_EDITOR = "isBulkEditor"; //$NON-NLS-1$
+	private static final String DERIVATE_EDITOR = "isDerivateEditor"; //$NON-NLS-1$
 
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.expressions.IPropertyTester#test(java.lang.Object, java.lang.String, java.lang.Object[], java.lang.Object)
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/MoveDescriptionElementsHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/MoveDescriptionElementsHandler.java
index e89037389..d601247ed 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/MoveDescriptionElementsHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/MoveDescriptionElementsHandler.java
@@ -35,6 +35,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
 import eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor;
 import eu.etaxonomy.taxeditor.editor.Page;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.editor.name.TaxonNameEditor;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.operation.MoveDescriptionElementsOperation;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
@@ -103,7 +104,7 @@ public class MoveDescriptionElementsHandler extends AbstractHandler implements I
 			}
 			TaxonNode newAcceptedTaxonNode = TaxonNodeSelectionDialog.select(HandlerUtil.getActiveShell(event),
 					editor.getConversationHolder(),
-					"Choose the accepted taxon",
+					Messages.MoveDescriptionElementsHandler_CHOOSE_ACC_TAXON,
 					excludeTaxa,
 					null, classification
 					);
@@ -116,7 +117,7 @@ public class MoveDescriptionElementsHandler extends AbstractHandler implements I
     			}
     			newAcceptedTaxonNodeUuid = newAcceptedTaxonNode.getUuid();
 
-    			String moveMessage = String.format("Elements moved from %s", EditorUtil.getActiveMultiPageTaxonEditor().getTaxon());
+    			String moveMessage = String.format(Messages.MoveDescriptionElementsHandler_ELEMENTS_MOVED, EditorUtil.getActiveMultiPageTaxonEditor().getTaxon());
 
     			try {
     				AbstractPostOperation operation = new MoveDescriptionElementsOperation(
@@ -158,7 +159,7 @@ public class MoveDescriptionElementsHandler extends AbstractHandler implements I
 					MessagingUtils.error(this.getClass(), e);
 					throw new RuntimeException(e);
 				} catch (Exception e) {
-					MessagingUtils.warningDialog("Could not create Taxon", this, e.getMessage());
+					MessagingUtils.warningDialog(Messages.MoveDescriptionElementsHandler_CREATE_FAILURE, this, e.getMessage());
 				}
 			}
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/MoveDescriptionToOtherTaxonHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/MoveDescriptionToOtherTaxonHandler.java
index c51d0ee05..f67ef5112 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/MoveDescriptionToOtherTaxonHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/handler/MoveDescriptionToOtherTaxonHandler.java
@@ -28,6 +28,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
 import eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor;
 import eu.etaxonomy.taxeditor.editor.TaxonEditorInput;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.operation.MoveDescriptionToOtherTaxonOperation;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
 import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
@@ -65,7 +66,7 @@ public class MoveDescriptionToOtherTaxonHandler extends AbstractHandler
 		editor = EditorUtil.getActiveMultiPageTaxonEditor();
 		if (this.editor.isDirty()){
 		    boolean proceed = MessageDialog.openQuestion(null,
-	                   "Save changes", "You have made changes that must be saved before this query can be executed. Would you like to proceed?");
+	                   Messages.MoveDescriptionToOtherTaxonHandler_SAVE_CHANGES, Messages.MoveDescriptionToOtherTaxonHandler_SAVE_CHANGES_MESSAGE);
 	        if (proceed) {
 	            editor.doSave(EditorUtil.getMonitor());
 	        } else {
@@ -113,7 +114,7 @@ public class MoveDescriptionToOtherTaxonHandler extends AbstractHandler
             }
 			TaxonNode newAcceptedTaxonNode = TaxonNodeSelectionDialog.select(HandlerUtil.getActiveShell(event),
 					editor.getConversationHolder(),
-					"Choose the accepted taxon",
+					Messages.MoveDescriptionToOtherTaxonHandler_CHOOSE_ACC_TAXON,
 					excludeTaxa,
 					node,
 					classification);
@@ -137,7 +138,7 @@ public class MoveDescriptionToOtherTaxonHandler extends AbstractHandler
 				}
 
 			} catch (NotDefinedException e) {
-				logger.warn("Command name not set");
+				logger.warn("Command name not set"); //$NON-NLS-1$
 			}
 		}
 
@@ -167,7 +168,7 @@ public class MoveDescriptionToOtherTaxonHandler extends AbstractHandler
 					MessagingUtils.error(this.getClass(), e);
 					throw new RuntimeException(e);
 				} catch (Exception e) {
-					MessagingUtils.warningDialog("Could not create Taxon", this, e.getMessage());
+					MessagingUtils.warningDialog(Messages.MoveDescriptionToOtherTaxonHandler_CREATE_FAILED, this, e.getMessage());
 				}
 			}
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/AddDerivedUnitFacadeMediaOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/AddDerivedUnitFacadeMediaOperation.java
index 40312990c..ef29bffed 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/AddDerivedUnitFacadeMediaOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/AddDerivedUnitFacadeMediaOperation.java
@@ -22,6 +22,7 @@ import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.MessagingUtils;
 import eu.etaxonomy.taxeditor.operation.AbstractPostTaxonOperation;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
@@ -33,7 +34,9 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
  */
 public class AddDerivedUnitFacadeMediaOperation extends AbstractPostTaxonOperation {
 
-	private final SpecimenOrObservationBase<?> specimen;
+    private static final String ONLY_ONE_IMAGE_GALLERY_IS_POSSIBLE = Messages.AddDerivedUnitFacadeMediaOperation_CREATE_FAILED_MESSAGE;
+    private static final String IMAGE_GALLERY_CREATION_FAILED = Messages.AddDerivedUnitFacadeMediaOperation_CREATE_FAILED;
+    private final SpecimenOrObservationBase<?> specimen;
 
 	/**
 	 * @param label
@@ -57,7 +60,7 @@ public class AddDerivedUnitFacadeMediaOperation extends AbstractPostTaxonOperati
 		    if(specimen instanceof FieldUnit){
 		        facade = DerivedUnitFacade.NewInstance(SpecimenOrObservationType.FieldUnit, (FieldUnit) specimen);
 		        if(facade.hasFieldObjectImageGallery()){
-		            MessagingUtils.informationDialog("Image gallery creation failed", "Only one image gallery is possible.");
+		            MessagingUtils.informationDialog(IMAGE_GALLERY_CREATION_FAILED, ONLY_ONE_IMAGE_GALLERY_IS_POSSIBLE);
 		            return Status.CANCEL_STATUS;
 		        }
 		        else{
@@ -67,7 +70,7 @@ public class AddDerivedUnitFacadeMediaOperation extends AbstractPostTaxonOperati
 		    else if(specimen instanceof DerivedUnit){
 		        facade = DerivedUnitFacade.NewInstance((DerivedUnit)specimen);
 		        if(facade.hasDerivedUnitImageGallery()){
-		            MessagingUtils.informationDialog("Image gallery creation failed", "Only one image gallery is possible.");
+		            MessagingUtils.informationDialog(IMAGE_GALLERY_CREATION_FAILED, ONLY_ONE_IMAGE_GALLERY_IS_POSSIBLE);
 		            return Status.CANCEL_STATUS;
 		        }
 		        else{
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/CreateDescriptionElementOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/CreateDescriptionElementOperation.java
index a16125b36..0f4ca8b20 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/CreateDescriptionElementOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/CreateDescriptionElementOperation.java
@@ -40,7 +40,7 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 public class CreateDescriptionElementOperation extends AbstractPostTaxonOperation {
 
 	/** Constant <code>ID="eu.etaxonomy.taxeditor.editor.descripti"{trunked}</code> */
-	public static final String ID = "eu.etaxonomy.taxeditor.editor.view.descriptive.command.createDescriptionElement";
+	public static final String ID = "eu.etaxonomy.taxeditor.editor.view.descriptive.command.createDescriptionElement"; //$NON-NLS-1$
 
 	private final DescriptionBase<?> description;
 	private final Feature feature;
@@ -94,7 +94,7 @@ public class CreateDescriptionElementOperation extends AbstractPostTaxonOperatio
 		monitor.worked(20);
 		if (element == null) {
 			if (feature.isSupportsCommonTaxonName()) {
-				element = CommonTaxonName.NewInstance("", null);
+				element = CommonTaxonName.NewInstance("", null); //$NON-NLS-1$
 			}
 			else if (feature.isSupportsDistribution()) {
 				element = Distribution.NewInstance();
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/DeleteDescriptionElementOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/DeleteDescriptionElementOperation.java
index 54834bac6..9ee81413a 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/DeleteDescriptionElementOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/DeleteDescriptionElementOperation.java
@@ -17,6 +17,7 @@ import org.eclipse.core.runtime.IStatus;
 
 import eu.etaxonomy.cdm.model.description.DescriptionBase;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.MessagingUtils;
 import eu.etaxonomy.taxeditor.operation.AbstractPostTaxonOperation;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
@@ -64,7 +65,7 @@ public class DeleteDescriptionElementOperation extends AbstractPostTaxonOperatio
 
 		// Remove element from description
 		if (description == null) {
-			MessagingUtils.error(this.getClass(), "Couldn't find element's description!", null);
+			MessagingUtils.error(this.getClass(), Messages.DeleteDescriptionElementOperation_DESC_NOT_FOUND, null);
 		} else {
 			description.removeElement(element);
 		}
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/EditInXper2Handler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/EditInXper2Handler.java
index 5e2239599..9e998fd1e 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/EditInXper2Handler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/EditInXper2Handler.java
@@ -20,7 +20,7 @@ public class EditInXper2Handler extends AbstractHandler {
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		MessagingUtils.warningDialog("Operation not supported yet", getClass(), "This operation is not supported yet.");
+		MessagingUtils.warningDialog("Operation not supported yet", getClass(), "This operation is not supported yet."); //$NON-NLS-1$ //$NON-NLS-2$
 		return null;
 	}
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/MoveDescriptionToOtherTaxonOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/MoveDescriptionToOtherTaxonOperation.java
index 2b430931c..d92ab454e 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/MoveDescriptionToOtherTaxonOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/MoveDescriptionToOtherTaxonOperation.java
@@ -26,6 +26,7 @@ import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.operation.AbstractPersistentPostOperation;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 import eu.etaxonomy.taxeditor.session.ICdmEntitySessionEnabled;
@@ -78,11 +79,11 @@ public class MoveDescriptionToOtherTaxonOperation extends
 		monitor.worked(20);
 		bind();
 
-		String moveMessage = String.format("Description moved from %s", EditorUtil.getActiveMultiPageTaxonEditor().getTaxon());
+		String moveMessage = String.format(Messages.MoveDescriptionToOtherTaxonOperation_MOVED_FROM, EditorUtil.getActiveMultiPageTaxonEditor().getTaxon());
 		if(description.isProtectedTitleCache()){
-			String separator = "";
+			String separator = ""; //$NON-NLS-1$
 			if(!StringUtils.isBlank(description.getTitleCache())){
-				separator = " - ";
+				separator = " - "; //$NON-NLS-1$
 			}
 			description.setTitleCache(description.getTitleCache() + separator + moveMessage, true);
 		}
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/MediaContentProvider.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/MediaContentProvider.java
index cac33da66..4863ef254 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/MediaContentProvider.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/MediaContentProvider.java
@@ -58,7 +58,7 @@ public class MediaContentProvider implements ITreeContentProvider{
 			}
 			 
 			if(taxon == null){
-				MessagingUtils.error(getClass(), "Taxon is null", null);
+				MessagingUtils.error(getClass(), "Taxon is null", null); //$NON-NLS-1$
 				return NO_CHILDREN;
 			}
 			HashSet<DescriptionBase> imageGalleries = new HashSet<DescriptionBase>();
@@ -90,7 +90,7 @@ public class MediaContentProvider implements ITreeContentProvider{
 				}
 
 			} catch (DerivedUnitFacadeNotSupportedException e) {
-				MessagingUtils.error(this.getClass(), "DerivedUnitFacadeNotSupportedException when trying to instantiate DerivedUnitFacade", e);
+				MessagingUtils.error(this.getClass(), "DerivedUnitFacadeNotSupportedException when trying to instantiate DerivedUnitFacade", e); //$NON-NLS-1$
 			}
 		}
 		else if (parentElement instanceof FieldUnit){
@@ -138,13 +138,13 @@ public class MediaContentProvider implements ITreeContentProvider{
     public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {}
 
 	private List<Media> getImages(DescriptionBase description){
-		Assert.isTrue(description.isImageGallery(), "Description should have the imageGallery flag set.");
+		Assert.isTrue(description.isImageGallery(), "Description should have the imageGallery flag set."); //$NON-NLS-1$
 
 		Set<DescriptionElementBase> elements = description.getElements();
 		if (elements != null) {
 			// by definition, image galleries have only one description element
 			if(elements.size() > 1){
-				MessagingUtils.error(this.getClass(), "There should be one and only one description element to hold the images. Found: " + elements.size() + " InDescription ID: " + description.getUuid(), null);
+				MessagingUtils.error(this.getClass(), "There should be one and only one description element to hold the images. Found: " + elements.size() + " InDescription ID: " + description.getUuid(), null); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			if (!elements.isEmpty()){
 				DescriptionElementBase element = elements.iterator().next();
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/MediaViewPart.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/MediaViewPart.java
index 2cd347b2b..ae339497d 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/MediaViewPart.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/MediaViewPart.java
@@ -28,6 +28,7 @@ import org.eclipse.ui.IWorkbenchPart;
 import eu.etaxonomy.cdm.model.description.IDescribable;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.taxeditor.bulkeditor.BulkEditor;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveViewPart;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
 import eu.etaxonomy.taxeditor.model.IPartContentHasDetails;
@@ -44,7 +45,7 @@ import eu.etaxonomy.taxeditor.view.supplementaldata.SupplementalDataViewPart;
  */
 public class MediaViewPart extends AbstractCdmEditorViewPart implements IPartContentHasDetails, IPartContentHasSupplementalData {
 
-	public static final String ID = "eu.etaxonomy.taxeditor.editor.view.media";
+	public static final String ID = "eu.etaxonomy.taxeditor.editor.view.media"; //$NON-NLS-1$
 
 
 	private TreeViewer viewer;
@@ -153,6 +154,6 @@ public class MediaViewPart extends AbstractCdmEditorViewPart implements IPartCon
 
 	@Override
 	protected String getViewName() {
-		return "Media";
+		return Messages.MediaViewPart_MEDIA;
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/AddExistingMediaHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/AddExistingMediaHandler.java
index 097849cf0..4367e2577 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/AddExistingMediaHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/AddExistingMediaHandler.java
@@ -34,7 +34,7 @@ public class AddExistingMediaHandler extends CreateMediaHandler {
                 AbstractUtility.executeOperation(operation);
             }
         } catch (NotDefinedException e) {
-            MessagingUtils.warn(getClass(), "Command name not set.");
+            MessagingUtils.warn(getClass(), "Command name not set."); //$NON-NLS-1$
         }
     }
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/AddImageGalleryHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/AddImageGalleryHandler.java
index 4a2696a50..5f7a22a13 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/AddImageGalleryHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/AddImageGalleryHandler.java
@@ -59,7 +59,7 @@ public class AddImageGalleryHandler extends AbstractHandler {
 	                }
 	            }
 	        } catch (NotDefinedException e) {
-	            MessagingUtils.warn(getClass(), "Command name not set.");
+	            MessagingUtils.warn(getClass(), "Command name not set."); //$NON-NLS-1$
 	        }
 	    }
 	    return null;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/CreateMediaHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/CreateMediaHandler.java
index 0bd72b3f1..5acff5c53 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/CreateMediaHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/CreateMediaHandler.java
@@ -83,7 +83,7 @@ public class CreateMediaHandler extends AbstractHandler {
         			EditorUtil.getUndoContext(), description, postOperationEnabled);
         	AbstractUtility.executeOperation(operation);
         } catch (NotDefinedException e) {
-        	MessagingUtils.warn(getClass(), "Command name not set.");
+        	MessagingUtils.warn(getClass(), "Command name not set."); //$NON-NLS-1$
         }
     }
 
